Ask Your Question
0

mpir error on 64bit

asked 2012-11-27 04:48:57 -0500

amalea gravatar image

updated 2015-01-14 07:52:28 -0500

FrédéricC gravatar image

Hallo, installing sage5.4 failed on a 64bit machine under linux debian lenny. Who can help me. I don't want to change my debiansystem.

Thank you.

Here ist the logfile:

Found package mpir-2.4.0.p6 in spkg/standard/mpir-2.4.0.p6.spkg

mpir-2.4.0.p6

Extracting package /hdb2/sage-5.4.1/spkg/standard/mpir-2.4.0.p6.spkg -rw-r--r-- 1 rau rau 3844522 25. Jul 16:46 /hdb2/sage-5.4.1/spkg/standard/mpir-2.4.0.p6.spkg Finished extraction


Host system: Linux localhost 2.6.26-2-amd64 #1 SMP Sun Mar 4 21:48:06 UTC 2012 x86_64 GNU/Linux


C compiler: gcc C compiler version: Using built-in specs. Target: x86_64-linux-gnu Configured with: ../src/configure -v --with-pkgversion='Debian 4.3.2-1.1' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-cld --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu Thread model: posix gcc version 4.3.2 (Debian 4.3.2-1.1)


Applying patches to upstream sources... patching file acinclude.m4 patching file configure.in patching file yasm/Makefile.in patching file configure patching file gmp-h.in patching file mpn/alpha/addlsh1_n.asm patching file mpn/alpha/sublsh1_n.asm patching file mpn/ia64/add_n.asm patching file mpn/ia64/addlsh1_n.asm patching file mpn/ia64/and_n.asm patching file mpn/ia64/andn_n.asm patching file mpn/ia64/ior_n.asm patching file mpn/ia64/iorn_n.asm patching file mpn/ia64/lshift.asm patching file mpn/ia64/nand_n.asm patching file mpn/ia64/nior_n.asm patching file mpn/ia64/rsh1add_n.asm patching file mpn/ia64/rsh1sub_n.asm patching file mpn/ia64/rshift.asm patching file mpn/ia64/sub_n.asm patching file mpn/ia64/sublsh1_n.asm patching file mpn/ia64/xnor_n.asm patching file mpn/ia64/xor_n.asm patching file mpn/m68k/add_n.asm patching file mpn/m68k/mc68020/addmul_1.asm patching file mpn/m68k/mc68020/submul_1.asm patching file mpn/m68k/sub_n.asm patching file mpn/powerpc32/vmx/and_n.asm patching file mpn/powerpc32/vmx/andn_n.asm patching file mpn/powerpc32/vmx/ior_n.asm patching file mpn/powerpc32/vmx/iorn_n.asm patching file mpn/powerpc32/vmx/nand_n.asm patching file mpn/powerpc32/vmx/nior_n.asm patching file mpn/powerpc32/vmx/xnor_n.asm patching file mpn/powerpc32/vmx/xor_n.asm patching file mpn/x86/add_n.asm patching file mpn/x86/addmul_1.asm patching file mpn/x86/applenopic/addmul_1.asm patching file mpn/x86/applenopic/submul_1.asm patching file mpn/x86/core2/add_n.asm patching file mpn/x86/core2/sub_n.asm patching file mpn/x86/k6/add_n.asm patching file mpn/x86/k6/addmul_1.asm patching file mpn/x86/k6/mmx/and_n.asm patching file mpn/x86/k6/mmx/andn_n.asm patching file mpn/x86/k6/mmx/hamdist.asm patching file mpn/x86/k6/mmx/ior_n.asm patching file mpn/x86/k6/mmx/iorn_n.asm patching file mpn ...

(more)
edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
0

answered 2012-11-28 05:38:42 -0500

ppurka gravatar image

updated 2012-11-28 05:39:13 -0500

It is complaining about your gcc version - maybe it is too old? Try installing gcc inside sage itself by using

export SAGE_INSTALL_GCC=yes

And then restart your compile.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-11-27 04:48:57 -0500

Seen: 137 times

Last updated: Nov 28 '12